---
title: "Get next customer from the queue"
url: "https://developer.incode.com/api-reference/queue-conference-next/"
section: "api-reference"
group: "Video conference"
version: "v1.1"
status: "live"
endpoint: "GET /omni/queue/conference/next"
---
# Get next customer from the queue

`GET /omni/queue/conference/next`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Fetch next customer from a conference queue. In case no customer in the queue, and empty body is returned.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `queueName` | query | string |  | The name of the queue the user is entering in the case the conference call will be used. If not set, the default queue will be used. Same value for queueName needs to be used across all requests in one onboarding session. |
| `api-version` | header | string | yes |  |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `interviewId` | string |  | ID of fetched interview. |
| `apiKey` | integer (int32) |  | OpenTok apiKey used for connection to video call. |
| `interviewToken` | string |  | OpenTok token used for connection to video call. |
| `sessionId` | string |  | OpenTok session id used for connection to video call. |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X GET https://demo-api.incodesmile.com/omni/queue/conference/next \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0"
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/queue/conference/next", {
  method: "GET",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
  },
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
}
res = requests.get("https://demo-api.incodesmile.com/omni/queue/conference/next", headers=headers)
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/queue/conference/next"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .method("GET", HttpRequest.BodyPublishers.noBody())
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
